# eric7.DebugClients.Python.MultiprocessingExtension

Module implementing a function to patch multiprocessing.Process to support debugging of the process.

### Global Attributes

_debugClient
_originalBootstrap
_originalProcess

### Classes

ProcessWrapper | Wrapper class for multiprocessing.Process.

### Functions

patchMultiprocessing | Function to patch the multiprocessing module.

## ProcessWrapper

Wrapper class for multiprocessing.Process.

### Derived from

_originalProcess

### Class Attributes

None

### Class Methods

None

### Methods

_bootstrap | Wrapper around _bootstrap to start debugger.

### Static Methods

None

#### ProcessWrapper._bootstrap

_bootstrap(*args, **kwargs)

Wrapper around _bootstrap to start debugger.

args (list)
  function arguments
kwargs (dict)
  keyword only arguments

Return:
  exit code of the process

Return Type:
  int

Up

## patchMultiprocessing

patchMultiprocessing(module, debugClient)

Function to patch the multiprocessing module.

module (module)
  reference to the imported module to be patched
debugClient (DebugClient)
  reference to the debug client object

Up